using System;
using System.Collections.Generic;
using OrbitOne.MailChimp;

namespace MailChimpTestConsoleApp
{
    internal class DummyContact : IMailChimpContact
    {
        #region Properties
        public Guid ExternalId { get; private set; }
        public IDictionary<string, string> FieldValues { get; private set; }
        public bool Subscribed { get; private set; }
        public string Email { get; private set; }
        public List<string> Groups { get; private set; }
        public bool HtmlEmail { get; private set; }
        #endregion

        #region Constructor
        public DummyContact(Guid id, IDictionary<string, string> values, string email, List<string> group, bool htmlemail, bool subscribed)
        {
            this.ExternalId = id;
            this.FieldValues = values;
            this.Email = email;
            this.Groups = group;
            this.HtmlEmail = htmlemail;
            this.Subscribed = subscribed;
        }
        #endregion
    }
}